Package: org.gradle.api.file

## [Java] Interface FileVisitDetails

- org.gradle.api.file.FileTreeElement

- All Superinterfaces:
    FileTreeElement

  Provides access to details about a file or directory being visited by a FileVisitor.

  See Also:
    FileTree.visit

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `stopVisiting()` Requests that file visiting terminate after the current file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface FileTreeElement` | `copyTo, copyTo, getFile, getLastModified, getMode, getName, getPath, getRelativePath, getSize, isDirectory, open`

- - ### Method Detail

    - #### public void stopVisiting()

      Requests that file visiting terminate after the current file.